package com.seer.teach.common.enums.im;

import com.seer.teach.common.dto.mq.StringDTO;
import com.seer.teach.common.dto.mq.im.KnowledgeDTO;

/**
 * <p>
 *
 * </p>
 *
 * @author Captain
 * @since 2025-07-17 9:10
 */
public enum BusinessTopicTagEnum {

    CORRECTING("correcting", StringDTO.class),
    CORRECT_ACTION("correct-action",StringDTO.class),
    KNOW_DATA("know-data", KnowledgeDTO.class),
    TEST_GRADING("test-grading",StringDTO.class);

    private final String tag;

    private Class<?> clazz;

    BusinessTopicTagEnum(String tag, Class<?> clazz) {
        this.tag = tag;
        this.clazz = clazz;
    }

    public static Class getClass(String tag) {
        for (BusinessTopicTagEnum value : values()) {
            if (value.tag.equalsIgnoreCase(tag)) {
                return value.clazz;
            }
        }
        return null;
    }

    public Class<?> getClazz() {
        return clazz;
    }

    public String getTag() {
        return tag;
    }
}
